<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__profile__macros" kind="group">
    <compoundname>group_profile_macros</compoundname>
    <title>Macros</title>
      <sectiondef kind="define">
      <memberdef id="group__group__profile__macros_1ga19197300b04935aaeb7fb042b93883e8" kind="define" prot="public" static="no">
        <name>CY_PROFILE_DRV_VERSION_MAJOR</name>
        <initializer>1</initializer>
        <briefdescription>
<para>Driver major version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" bodystart="239" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" line="239" />
      </memberdef>
      <memberdef id="group__group__profile__macros_1gaf45601b32277d63acf1b1bba4c024c7c" kind="define" prot="public" static="no">
        <name>CY_PROFILE_DRV_VERSION_MINOR</name>
        <initializer>20</initializer>
        <briefdescription>
<para>Driver minor version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" bodystart="242" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" line="242" />
      </memberdef>
      <memberdef id="group__group__profile__macros_1ga72c5b3a201ae6293c01d4619f8ce1b07" kind="define" prot="public" static="no">
        <name>CY_PROFILE_ID</name>
        <initializer><ref kindref="member" refid="group__group__syslib__macros__status__codes_1ga45c44ce91d1e20c64430f00fd8ad9b0e">CY_PDL_DRV_ID</ref>(0x1EU)</initializer>
        <briefdescription>
<para>Profile driver identifier. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" bodystart="245" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" line="245" />
      </memberdef>
      <memberdef id="group__group__profile__macros_1gac71bb7866e485c6aee69c0d18e9601c8" kind="define" prot="public" static="no">
        <name>CY_PROFILE_START_TR</name>
        <initializer>1UL</initializer>
        <briefdescription>
<para>Start profiling command for the CMD register. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" bodystart="248" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" line="248" />
      </memberdef>
      <memberdef id="group__group__profile__macros_1ga0419bd511c50d92180c3de0aa32ea14f" kind="define" prot="public" static="no">
        <name>CY_PROFILE_STOP_TR</name>
        <initializer>2UL</initializer>
        <briefdescription>
<para>Stop profiling command for the CMD register. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" bodystart="251" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" line="251" />
      </memberdef>
      <memberdef id="group__group__profile__macros_1ga9d1f220107ada7ed4d456d4a3d64f06e" kind="define" prot="public" static="no">
        <name>CY_PROFILE_CLR_ALL_CNT</name>
        <initializer>0x100UL</initializer>
        <briefdescription>
<para>Command to clear all counter registers to 0. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" bodystart="254" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_profile.h" line="254" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>